## org.apache.mahout.math.function
Interface DoubleDoubleFunction

All Known Subinterfaces:
  BinaryFunction

All Known Implementing Classes:
  PlusMult, TimesFunction

    public interface DoubleDoubleFunction

Interface that represents a function object: a function that takes two arguments and returns a single value.

Method Summary
`double` `apply(double arg1, double arg2)` Apply the function to the arguments and return the result

Method Detail

### apply

    double apply(double arg1,
                 double arg2)

  Apply the function to the arguments and return the result

  Parameters:
    `arg1` - a double for the first argument
    `arg2` - a double for the second argument
  Returns:
    the result of applying the function

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.